<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/inc/wdt.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">wdt.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Mini51 series WDT driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/d71/wdt_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2wdt_8hdep" alt=""/></div>
<map name="a_std_driver_2inc_2wdt_8hdep" id="a_std_driver_2inc_2wdt_8hdep">
<area shape="rect" title="Mini51 series WDT driver header file." alt="" coords="1527,5,1658,32"/>
<area shape="rect" href="../../de/d94/_mini51_series_8h.html" title="Mini51 series peripheral access layer header file. This file contains all the peripheral register&#39;s d..." alt="" coords="1498,80,1687,121"/>
<area shape="rect" href="../../dc/d23/system___mini51_series_8c.html" title="Mini51 series system clock init code and assert handler." alt="" coords="5,169,212,211"/>
<area shape="rect" href="../../d9/d99/i2c__software__gpio_8h.html" title="This is the header file of i2c_software_gpio.c." alt="" coords="236,169,379,211"/>
<area shape="rect" href="../../dc/da3/i2c__software__gpio__with__timer_8h.html" title="This is the header file of i2c_software_gpio_with_timer.c." alt="" coords="403,169,588,211"/>
<area shape="rect" href="../../d7/d23/eeprom__24lc64_8c.html" title="MINI51 series 24LC64 EEPROM library header file." alt="" coords="612,169,781,211"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html" title="MINI51 series LCD Module library source file." alt="" coords="805,169,948,211"/>
<area shape="rect" href="../../d3/df1/acmp_8c.html" title="MINI51 series Analog Comparator(ACMP) driver source file." alt="" coords="972,177,1115,203"/>
<area shape="rect" href="../../de/d01/adc_8c.html" title="MINI51 series ADC driver source file." alt="" coords="1139,177,1271,203"/>
<area shape="rect" href="../../de/da0/clk_8c.html" title="MINI51 series CLK driver source file." alt="" coords="1295,177,1423,203"/>
<area shape="rect" href="../../d0/dbc/fmc_8c.html" title="MINI51 series FMC driver source file." alt="" coords="1448,177,1580,203"/>
<area shape="rect" href="../../d8/da0/gpio_8c.html" title="MINI51 series GPIO driver source file." alt="" coords="1604,177,1739,203"/>
<area shape="rect" href="../../d9/dcb/i2c_8c.html" title="MINI51 series I2C driver source file." alt="" coords="1763,177,1891,203"/>
<area shape="rect" href="../../de/d5c/pwm_8c.html" title="MINI51 series PWM driver source file." alt="" coords="1915,177,2054,203"/>
<area shape="rect" href="../../d3/d3d/retarget_8c.html" title="Mini51 series retarget source file." alt="" coords="2078,177,2233,203"/>
<area shape="rect" href="../../da/d00/spi_8c.html" title="MINI51 series SPI driver source file." alt="" coords="2257,177,2385,203"/>
<area shape="rect" href="../../d8/d91/sys_8c.html" title="MINI51 series SYS driver source file." alt="" coords="2409,177,2541,203"/>
<area shape="rect" href="../../df/d41/timer_8c.html" title="MINI51 series TIMER driver source file." alt="" coords="2565,177,2705,203"/>
<area shape="rect" href="../../d1/d87/uart_8c.html" title="MINI51 series UART driver source file." alt="" coords="2730,177,2863,203"/>
<area shape="rect" href="../../db/d1a/wdt_8c.html" title="MINI51 series WDT driver source file." alt="" coords="2887,177,3018,203"/>
<area shape="rect" href="../../da/d64/i2c__software__gpio_8c.html" title="MINI51 series software I2C driver source file." alt="" coords="236,259,379,300"/>
<area shape="rect" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html" title="MINI51 series software I2C driver source file." alt="" coords="403,259,588,300"/>
</map>
</div>
</div>
<p><a href="../../d0/de2/wdt_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga40d302804bb9f2ee0bf28caac9b7b82b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40d302804bb9f2ee0bf28caac9b7b82b">WDT_TIMEOUT_2POW4</a>&#160;&#160;&#160;(0UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#afbe5ea486866ec19729e8ba753238f4f">WDT_WTCR_WTIS_Pos</a>)</td></tr>
<tr class="separator:ga40d302804bb9f2ee0bf28caac9b7b82b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga199a40282f99161bab7c7b9e0a3e900f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga199a40282f99161bab7c7b9e0a3e900f">WDT_TIMEOUT_2POW6</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#afbe5ea486866ec19729e8ba753238f4f">WDT_WTCR_WTIS_Pos</a>)</td></tr>
<tr class="separator:ga199a40282f99161bab7c7b9e0a3e900f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabaad8360992525da5c86b267e2900c04"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabaad8360992525da5c86b267e2900c04">WDT_TIMEOUT_2POW8</a>&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#afbe5ea486866ec19729e8ba753238f4f">WDT_WTCR_WTIS_Pos</a>)</td></tr>
<tr class="separator:gabaad8360992525da5c86b267e2900c04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab04478b5a13afdedd001d22212e40716"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab04478b5a13afdedd001d22212e40716">WDT_TIMEOUT_2POW10</a>&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#afbe5ea486866ec19729e8ba753238f4f">WDT_WTCR_WTIS_Pos</a>)</td></tr>
<tr class="separator:gab04478b5a13afdedd001d22212e40716"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc2b0af3ecf6be71ebb2ef0584560eb1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafc2b0af3ecf6be71ebb2ef0584560eb1">WDT_TIMEOUT_2POW12</a>&#160;&#160;&#160;(4UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#afbe5ea486866ec19729e8ba753238f4f">WDT_WTCR_WTIS_Pos</a>)</td></tr>
<tr class="separator:gafc2b0af3ecf6be71ebb2ef0584560eb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2c19cd50d5344568bc43f1d324ca5917"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2c19cd50d5344568bc43f1d324ca5917">WDT_TIMEOUT_2POW14</a>&#160;&#160;&#160;(5UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#afbe5ea486866ec19729e8ba753238f4f">WDT_WTCR_WTIS_Pos</a>)</td></tr>
<tr class="separator:ga2c19cd50d5344568bc43f1d324ca5917"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d8419a9bcdd7b94c2c03ad9a89788c7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d8419a9bcdd7b94c2c03ad9a89788c7">WDT_TIMEOUT_2POW16</a>&#160;&#160;&#160;(6UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#afbe5ea486866ec19729e8ba753238f4f">WDT_WTCR_WTIS_Pos</a>)</td></tr>
<tr class="separator:ga1d8419a9bcdd7b94c2c03ad9a89788c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga48e0f9050a0b74cfd0679bc04233fad2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga48e0f9050a0b74cfd0679bc04233fad2">WDT_TIMEOUT_2POW18</a>&#160;&#160;&#160;(7UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#afbe5ea486866ec19729e8ba753238f4f">WDT_WTCR_WTIS_Pos</a>)</td></tr>
<tr class="separator:ga48e0f9050a0b74cfd0679bc04233fad2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1dfc74e1dc2191290cafe393e7f4eda8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1dfc74e1dc2191290cafe393e7f4eda8">WDT_CLEAR_RESET_FLAG</a>()</td></tr>
<tr class="memdesc:ga1dfc74e1dc2191290cafe393e7f4eda8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clear WDT time-out reset system flag.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1dfc74e1dc2191290cafe393e7f4eda8">More...</a><br /></td></tr>
<tr class="separator:ga1dfc74e1dc2191290cafe393e7f4eda8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga16c65c2211c5071873a7651183044893"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga16c65c2211c5071873a7651183044893">WDT_CLEAR_TIMEOUT_INT_FLAG</a>()</td></tr>
<tr class="memdesc:ga16c65c2211c5071873a7651183044893"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clear WDT time-out interrupt flag.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga16c65c2211c5071873a7651183044893">More...</a><br /></td></tr>
<tr class="separator:ga16c65c2211c5071873a7651183044893"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga16005b63d605513449d1309bac67ebd2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga16005b63d605513449d1309bac67ebd2">WDT_CLEAR_TIMEOUT_WAKEUP_FLAG</a>()</td></tr>
<tr class="memdesc:ga16005b63d605513449d1309bac67ebd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clear WDT time-out wake-up system flag.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga16005b63d605513449d1309bac67ebd2">More...</a><br /></td></tr>
<tr class="separator:ga16005b63d605513449d1309bac67ebd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6b16a3819e767164baea0f15a589c699"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6b16a3819e767164baea0f15a589c699">WDT_GET_RESET_FLAG</a>()</td></tr>
<tr class="memdesc:ga6b16a3819e767164baea0f15a589c699"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro indicate WDT time-out to reset system or not.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6b16a3819e767164baea0f15a589c699">More...</a><br /></td></tr>
<tr class="separator:ga6b16a3819e767164baea0f15a589c699"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga145a9deb3b6fc638f4f1dd840335d0b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga145a9deb3b6fc638f4f1dd840335d0b7">WDT_GET_TIMEOUT_INT_FLAG</a>()</td></tr>
<tr class="memdesc:ga145a9deb3b6fc638f4f1dd840335d0b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro indicate WDT time-out interrupt occurred or not.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga145a9deb3b6fc638f4f1dd840335d0b7">More...</a><br /></td></tr>
<tr class="separator:ga145a9deb3b6fc638f4f1dd840335d0b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga666b1e936d4a59736a2b689438e7edc1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga666b1e936d4a59736a2b689438e7edc1">WDT_GET_TIMEOUT_WAKEUP_FLAG</a>()</td></tr>
<tr class="memdesc:ga666b1e936d4a59736a2b689438e7edc1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro indicate WDT time-out waked system up or not.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga666b1e936d4a59736a2b689438e7edc1">More...</a><br /></td></tr>
<tr class="separator:ga666b1e936d4a59736a2b689438e7edc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab8ac835baa6227e84ae08a200b172069"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab8ac835baa6227e84ae08a200b172069">WDT_RESET_COUNTER</a>()</td></tr>
<tr class="memdesc:gab8ac835baa6227e84ae08a200b172069"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to reset 18-bit WDT counter.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab8ac835baa6227e84ae08a200b172069">More...</a><br /></td></tr>
<tr class="separator:gab8ac835baa6227e84ae08a200b172069"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gae150a7a3e9d1e05a12fc6fd81af68a04"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">WDT_Open</a> (uint32_t u32TimeoutInterval, uint32_t u32ResetDelay, uint32_t u32EnableReset, uint32_t u32EnableWakeup)</td></tr>
<tr class="memdesc:gae150a7a3e9d1e05a12fc6fd81af68a04"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function make WDT module start counting with different time-out interval.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">More...</a><br /></td></tr>
<tr class="separator:gae150a7a3e9d1e05a12fc6fd81af68a04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c5ba21aaa03db0d9c037156cf98a6ae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c5ba21aaa03db0d9c037156cf98a6ae">WDT_Close</a> (void)</td></tr>
<tr class="memdesc:ga4c5ba21aaa03db0d9c037156cf98a6ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stops WDT counting and disable WDT module.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c5ba21aaa03db0d9c037156cf98a6ae">More...</a><br /></td></tr>
<tr class="separator:ga4c5ba21aaa03db0d9c037156cf98a6ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad4e5a59a764a06c56110d1ef3aefb81d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad4e5a59a764a06c56110d1ef3aefb81d">WDT_EnableInt</a> (void)</td></tr>
<tr class="memdesc:gad4e5a59a764a06c56110d1ef3aefb81d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables the WDT time-out interrupt.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad4e5a59a764a06c56110d1ef3aefb81d">More...</a><br /></td></tr>
<tr class="separator:gad4e5a59a764a06c56110d1ef3aefb81d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5161f1a4e918d0e3491eb63ea7bf2aef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5161f1a4e918d0e3491eb63ea7bf2aef">WDT_DisableInt</a> (void)</td></tr>
<tr class="memdesc:ga5161f1a4e918d0e3491eb63ea7bf2aef"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables the WDT time-out interrupt.  <a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5161f1a4e918d0e3491eb63ea7bf2aef">More...</a><br /></td></tr>
<tr class="separator:ga5161f1a4e918d0e3491eb63ea7bf2aef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Mini51 series WDT driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>7 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>14/01/14 5:29p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d0/de2/wdt_8h_source.html">wdt.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
